エージェンシー - クリエイターリスト
概要
エージェンシーに関連するTikTokクリエイターを取得します。以下の機能をサポートします。
- エージェンシーIDでフィルタリング
- カスタムソート順に対応
- クリエイターの販売データとトップ販売商品を含みます
エンドポイント
bash
POST /agency/v1/creatorListリクエストボディ
| フィールド | 型 | 必須 | 説明 |
|---|---|---|---|
filter | object | はい | フィルターパラメータ |
orderby | object | はい | ソートパラメータ |
page | integer | いいえ | ページ番号, デフォルト値: 1 |
pagesize | integer | いいえ | 1ページあたりの件数, デフォルト: 10, 最大: 100 |
filter オプション
| フィールド | 型 | 必須 | 説明 |
|---|---|---|---|
id | string | はい | エージェンシーsecid |
orderby オプション
| フィールド | 型 | 必須 | 説明 |
|---|---|---|---|
field | string | はい | ソートフィールド |
order | string | はい | ソート順: desc |
サポートされているソートフィールド:
| フィールド | 説明 |
|---|---|
day7_units_sold | 過去7日間の販売数 |
day28_units_sold | 過去28日間の販売数 |
day90_units_sold | 過去90日間の販売数 |
day7_gmv | 過去7日間のGMV |
day28_gmv | 過去28日間のGMV |
day90_gmv | 過去90日間のGMV |
follower_count | クリエイターのフォロワー数 |
リクエスト例
bash
curl 'https://openapi.fastmoss.com/agency/v1/creatorList' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
"filter": {
"id": "647f81f2fccde42ac22be7fe7bee2c26"
},
"orderby": [
{
"field": "day7_gmv",
"order": "desc"
}
],
"page": 1,
"pagesize": 10
}'レスポンスボディ
data
| フィールド | 型 | 説明 |
|---|---|---|
list | array<object> | クリエイターリスト |
total | integer | 総数 |
data.list
| フィールド | 型 | 説明 |
|---|---|---|
author | object | クリエイター情報 |
day7_units_sold | integer | 過去7日間の販売数 |
day28_units_sold | integer | 過去28日間の販売数 |
day90_units_sold | integer | 過去90日間の販売数 |
day7_gmv | integer | 過去7日間のGMV(セント単位) |
day28_gmv | integer | 過去28日間のGMV(セント単位) |
day90_gmv | integer | 過去90日間のGMV(セント単位) |
live_gpm | string | ライブGPM範囲 |
video_gpm | string | 動画GPM範囲 |
day7_top2_products | array<object> | 過去7日間のトップ2商品 |
day28_top2_products | array<object> | 過去28日間のトップ2商品 |
day90_top2_products | array<object> | 過去90日間のトップ2商品 |
data.list.author
| フィールド | 型 | 説明 |
|---|---|---|
uid | string | クリエイターUID |
unique_id | string | クリエイターのユニークID |
nickname | string | クリエイターのニックネーム |
avatar | string | クリエイターのアバターURL |
category_id | integer | クリエイターカテゴリID |
category_name | string | クリエイターカテゴリ名 |
follower_count | integer | フォロワー数 |
aweme_count | integer | 総動画数 |
favoriting_count | integer | 総いいね獲得数 |
region | string | クリエイター地域 |
data.list.dayX_top2_products
| フィールド | 型 | 説明 |
|---|---|---|
product_id | string | 商品ID |
sold_count | integer | 販売数 |
rank | integer | 販売順位(1または2) |
cover | string | 商品カバー画像URL |
レスポンス例
json
{
"code": 0,
"data": {
"list": [
{
"author": {
"uid": "7520310673173316621",
"unique_id": "sophmademebuyit",
"nickname": "Soph🦋",
"avatar": "tt_author/e2a93268378892efa5477548c160e19e~tplv-tiktokx-cropcenter:100:100.jpeg",
"category_id": 31,
"category_name": "Other",
"follower_count": 29468,
"aweme_count": 2042,
"favoriting_count": 530,
"region": "US"
},
"day7_units_sold": 4955,
"day28_units_sold": 19952,
"day90_units_sold": 51672,
"day7_gmv": 270119,
"day28_gmv": 1134310,
"day90_gmv": 2922456,
"live_gpm": "$0.00 - $0.00",
"video_gpm": "$39.82 - $44.95",
"day7_top2_products": [
{
"product_id": "1732261201982428094",
"sold_count": 635,
"rank": 2,
"cover": "https://s.500fd.com/tt_product/293d96fb07b2482a89c0191e02072278~tplv-fhlh96nyum-resize-jpeg:800:800.jpeg"
},
{
"product_id": "1731581852072907320",
"sold_count": 1078,
"rank": 1,
"cover": "https://s.500fd.com/tt_product/c7338303f352404a8a89ce2fded825c4~tplv-fhlh96nyum-resize-jpeg:800:800.jpeg"
}
]
}
],
"total": 1382
},
"message": "success"
}